libglibmm-2.4-1v5_2.56.0-1_amd64.deb


Advertisement

Description

libglibmm-2.4-1v5 - C++ wrapper for the GLib toolkit (shared libraries)

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package filename libglibmm-2.4-1v5_2.56.0-1_amd64.deb
Package name libglibmm-2.4-1v5
Package version 2.56.0
Package release 1
Package architecture amd64
Package type deb
Category libs
Homepage http://www.gtkmm.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 504.17 KB
Installed size 2.38 MB
GLib is a low-level general-purpose library used mainly by GTK+/GNOME
applications, but is useful for other programs as well.
glibmm is the C++ wrapper for GLib.
This package contains shared libraries.

Alternatives

Package Version Architecture Repository
libglibmm-2.4-1v5_2.56.0-1_i386.deb 2.56.0 i386 Ubuntu Main
libglibmm-2.4-1v5 - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
libglib2.0-0 >= 2.55.1
libsigc++-2.0-0v5 >= 2.8.0
libstdc++6 >= 5.2

Conflicts

Name Value
libglibmm-2.4-1c2a -

Replaces

Name Value
libglibmm-2.4-1c2a -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libglibmm-2.4-1v5_2.56.0-1_amd64.deb
Source Package glibmm2.4

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libglibmm-2.4-1v5 deb package:
    # sudo apt-get install libglibmm-2.4-1v5

Files

Path
/usr/lib/x86_64-linux-gnu/libgiomm-2.4.so.1
/usr/lib/x86_64-linux-gnu/libgiomm-2.4.so.1.3.0
/usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
/usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1.3.0
/usr/lib/x86_64-linux-gnu/libglibmm_generate_extra_defs-2.4.so.1
/usr/lib/x86_64-linux-gnu/libglibmm_generate_extra_defs-2.4.so.1.3.0
/usr/share/doc/libglibmm-2.4-1v5/AUTHORS
/usr/share/doc/libglibmm-2.4-1v5/NEWS.gz
/usr/share/doc/libglibmm-2.4-1v5/README
/usr/share/doc/libglibmm-2.4-1v5/changelog.Debian.gz
/usr/share/doc/libglibmm-2.4-1v5/copyright

Changelog

2018-04-01 - Jeremy Bicha <jbicha@debian.org>
glibmm2.4 (2.56.0-1) unstable; urgency=medium
* New upstream release
* Use Files-Excluded to ensure docs are built from source
* Build-Depend on doxygen, graphviz, and xsltproc for docs
* Add 02-enable-maintainer-mode.patch:
- Fix maintainer mode so that building docs works
2018-02-03 - Jeremy Bicha <jbicha@debian.org>
glibmm2.4 (2.54.1-3) unstable; urgency=medium
* Update Vcs fields for migration to https://salsa.debian.org/
* Bump debhelper compat to 11
2017-12-14 - Jeremy Bicha <jbicha@debian.org>
glibmm2.4 (2.54.1-2) unstable; urgency=medium
* Update Vcs fields for conversion to git
* Add debian/gbp.conf
* Bump Standards-Version to 4.1.2
2017-09-19 - Jeremy Bicha <jbicha@debian.org>
glibmm2.4 (2.54.1-1) unstable; urgency=medium
* New upstream release (Closes: #876167)
2017-09-13 - Jeremy Bicha <jbicha@debian.org>
glibmm2.4 (2.54.0-2) unstable; urgency=medium
* Bump SHVER to 2.54.0.
2017-09-13 - Jeremy Bicha <jbicha@debian.org>
glibmm2.4 (2.54.0-1) unstable; urgency=medium
* New upstream release
* Bump Standards-Version to 4.1.0
2017-04-05 - Michael Biebl <biebl@debian.org>
glibmm2.4 (2.50.1-1) unstable; urgency=medium
* New upstream release.
2016-09-20 - Michael Biebl <biebl@debian.org>
glibmm2.4 (2.50.0-1) unstable; urgency=medium
* New upstream release.
* Bump Build-Depends on libglib2.0-dev to (>= 2.50.0) as per configure.ac.
* Bump SHVER to 2.50.0.
2016-09-14 - Michael Biebl <biebl@debian.org>
glibmm2.4 (2.49.7-1) unstable; urgency=medium
* New upstream development release.
* Bump SHVER to 2.49.7.
* Don't compress example .cc files.
* Bump Build-Depends on libglib2.0-dev to (>= 2.49.7) as per configure.ac.
2016-09-14 - Michael Biebl <biebl@debian.org>
glibmm2.4 (2.49.5-1) unstable; urgency=medium
* New upstream development release
* Refresh debian/patches/01-disable-tls-test.patch.
* Bump Build-Depends on libsigc++-2.0-dev to (>= 2.9.1) as per configure.ac.
* Bump SHVER to 2.49.5.
* Convert from cdbs to dh.
* Bump debhelper compat level to 10.
* Stop building static libraries.
* Bump Standards-Version to 3.9.8.

See Also

Package Description
libglibmm-2.4-dev_2.56.0-1_amd64.deb C++ wrapper for the GLib toolkit (development files)
libglibmm-2.4-doc_2.56.0-1_all.deb C++ wrapper for the GLib toolkit (documentation)
libglm-dev_0.9.9~a2-2_all.deb C++ library for OpenGL GLSL type-based mathematics
libglm-doc_0.9.9~a2-2_all.deb documentation for the OpenGL Mathematics (GLM) library
libglu1-mesa-dev_9.0.0-2.1build1_amd64.deb Mesa OpenGL utility library -- development files
libglu1-mesa_9.0.0-2.1build1_amd64.deb Mesa OpenGL utility library (GLU)
libglvnd-core-dev_1.0.0-2ubuntu2_amd64.deb Vendor neutral GL dispatch library -- core development files
libglvnd-dev_1.0.0-2ubuntu2_amd64.deb Vendor neutral GL dispatch library -- development files
libglvnd0_1.0.0-2ubuntu2_amd64.deb Vendor neutral GL dispatch library
libglx-mesa0_18.0.0~rc5-1ubuntu1_amd64.deb free implementation of the OpenGL API -- GLX vendor library
libglx0_1.0.0-2ubuntu2_amd64.deb Vendor neutral GL dispatch library -- GLX support
libgmime-3.0-0_3.2.0-1_amd64.deb MIME message parser and creator library
libgmime-3.0-dev_3.2.0-1_amd64.deb MIME message parser and creator library - development files
libgmime-3.0-doc_3.2.0-1_all.deb MIME message parser and creator library - documentation
libgmp-dev_6.1.2+dfsg-2_amd64.deb Multiprecision arithmetic library developers tools
Advertisement
Advertisement